Login
Newsletter
Werbung

Sicherheit: Preisgabe von Informationen in openssh
Aktuelle Meldungen Distributionen
Name: Preisgabe von Informationen in openssh
ID: openSUSE-SU-2018:3946-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3
Datum: Fr, 30. November 2018, 07:47
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-15473
Applikationen: OpenSSH

Originalnachricht

   openSUSE Security Update: Security update for openssh
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:3946-1
Rating: moderate
References: #1091396 #1105010 #964336
Cross-References: CVE-2018-15473
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that solves one vulnerability and has two fixes
is now available.

Description:

This update for openssh fixes the following issues:

Following security issues have been fixed:

- CVE-2018-15473: OpenSSH was prone to a user existance oracle
vulnerability due to not delaying bailout for an invalid authenticating
user until after the packet containing the request has been fully
parsed, related to auth2-gss.c, auth2-hostbased.c, and auth2-pubkey.c.
(bsc#1105010)

The following non-security issues were fixed:

- Stop leaking File descriptors (bsc#964336)
- sftp-client.c returns wrong error code upon failure [bsc#1091396]

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-1477=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

openssh-7.2p2-25.1
openssh-askpass-gnome-7.2p2-25.1
openssh-askpass-gnome-debuginfo-7.2p2-25.1
openssh-cavs-7.2p2-25.1
openssh-cavs-debuginfo-7.2p2-25.1
openssh-debuginfo-7.2p2-25.1
openssh-debugsource-7.2p2-25.1
openssh-fips-7.2p2-25.1
openssh-helpers-7.2p2-25.1
openssh-helpers-debuginfo-7.2p2-25.1


References:

https://www.suse.com/security/cve/CVE-2018-15473.html
https://bugzilla.suse.com/1091396
https://bugzilla.suse.com/1105010
https://bugzilla.suse.com/964336

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung